rem -----Create Kronos Usage Reports -----------
rem * Run PCG Tools, open PCG file, click on "Generate List..."
rem 1. Generate Patch Report 
rem  Patch is default report setting. Select CSV output file, edit report output path to C:\Data\Music\Kronos\Backup
rem * Set output name {pcgbase}_patch_output.csv
rem 2. Generate Usage Report 
rem  Change List Type to Usage, Select CSV output file, edit report output path to C:\Data\Music\Kronos\Backup
rem * set output name {pcgbase}_usage_output.csv
rem *
rem *
rem Usage:  Process_Usage_Report {pcgbase}    (Use PCG base file name only, no pcg suffix)
@echo off
if not exist "C:\Program Files (x86)\IDM Computer Solutions\UltraEdit\Uedit32.exe" goto UseNotePad
set myeditor="C:\Program Files (x86)\IDM Computer Solutions\UltraEdit\Uedit32.exe"
goto editset
:UseNotePad
rem Need an editor that can open multiple files in tabs. See https://notepad-plus-plus.org/
set myeditor="C:\Program Files (x86)\Notepad++\notepad++.exe"
:editset
if Z%1Z == ZZ goto usage1
if not exist %~n1.pcg goto usage2
if not exist %~n1_usage_output.csv goto usage2
if not exist %~n1_patch_output.csv goto usage2

PCGparse2.exe "%~n1.PCG"
PCGparseSetlist.exe "%~n1.PCG"

if not exist %~n1_out.txt_sets.csv goto error

perl c:\data\scripts\Kronos_Used_Unused_Programs.pl  %~n1_usage_output.csv %~n1_patch_output.csv %~n1_out.txt_sets.csv
if errorlevel==1 goto  perlerror
start " " %myeditor% %~n1_usage_output.usedprog.txt %~n1_usage_output.longusedprog.txt %~n1_usage_output.unusedprog.txt %~n1_usage_output.usedcombi.txt %~n1_usage_output.longusedcombi.txt %~n1_usage_output.unusedcombi.txt %~n1_usage_output.ascii.txt
goto end
:usage1
echo *
echo Usage:  Process_Usage_Report {pcgbase}    (Use PCG base file name only, no pcg suffix)
echo *
goto end
:usage2
@echo off
echo _____________________________________________________________________
echo Error - report files are missing: First generate reports using PCGtools.
echo * Run PCG Tools, open PCG file, click on "Generate List..."
echo 1. Generate Patch Report 
echo  Patch is default report setting. Select CSV output file, edit report output path to %~dp0
echo * Set output name {pcgbase}_patch_output.csv
echo 2. Generate Usage Report 
echo  Change List Type to Usage, Select CSV output file, edit report output path to %~dp0
echo * set output name {pcgbase}_usage_output.csv
echo *
goto end
:perlerror
echo Error - Perl returned an error code
goto end
:error
echo Error - %~n1_out.txt_sets.csv output from pcgparseSetlist.exe not found.
:end
